Bug 864257 - AttributeError: 'NoneType' object has no attribute 'type'
AttributeError: 'NoneType' object has no attribute 'type'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
abrt_hash:a69b76a946e0c5afbed15bf1d1d...
:
: 1021127 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 21:49 EDT by Steve Tyler
Modified: 2014-02-05 07:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:30:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: ifcfg.log (641 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: anaconda-tb (575.56 KB, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: environ (888 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: type (9 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: storage.log (301.90 KB, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: version (2 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: program.log (106.73 KB, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: product (6 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: anaconda.log (8.43 KB, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: cmdline_file (162 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: release (33 bytes, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details
File: messages (128.03 KB, text/plain)
2012-10-08 21:49 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2012-10-08 21:49:31 EDT
Version-Release number of selected component:
anaconda-18.14-1.fc18.x86_64

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda --liveinst --method=livecd:///dev/mapper/live-osimg-min --lang en_US.UTF-8
kernel:         3.6.0-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 382, in _removeDevice
:    if dev.partedPartition.type == parted.PARTITION_EXTENDED and \
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 425, in registerAction
:    self._removeDevice(action.device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1220, in destroyDevice
:    self.devicetree.registerAction(action)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1492, in _destroy_device
:    self.__storage.destroyDevice(device)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/custom.py", line 1578, in on_remove_clicked
:    self._destroy_device(device)
:AttributeError: 'NoneType' object has no attribute 'type'
Comment 1 Steve Tyler 2012-10-08 21:49:33 EDT
Created attachment 623823 [details]
File: ifcfg.log
Comment 2 Steve Tyler 2012-10-08 21:49:37 EDT
Created attachment 623824 [details]
File: anaconda-tb
Comment 3 Steve Tyler 2012-10-08 21:49:38 EDT
Created attachment 623825 [details]
File: environ
Comment 4 Steve Tyler 2012-10-08 21:49:40 EDT
Created attachment 623826 [details]
File: type
Comment 5 Steve Tyler 2012-10-08 21:49:42 EDT
Created attachment 623827 [details]
File: storage.log
Comment 6 Steve Tyler 2012-10-08 21:49:43 EDT
Created attachment 623828 [details]
File: version
Comment 7 Steve Tyler 2012-10-08 21:49:45 EDT
Created attachment 623829 [details]
File: program.log
Comment 8 Steve Tyler 2012-10-08 21:49:46 EDT
Created attachment 623830 [details]
File: product
Comment 9 Steve Tyler 2012-10-08 21:49:48 EDT
Created attachment 623831 [details]
File: anaconda.log
Comment 10 Steve Tyler 2012-10-08 21:49:49 EDT
Created attachment 623832 [details]
File: hashmarkername
Comment 11 Steve Tyler 2012-10-08 21:49:50 EDT
Created attachment 623833 [details]
File: cmdline_file
Comment 12 Steve Tyler 2012-10-08 21:49:52 EDT
Created attachment 623834 [details]
File: release
Comment 13 Steve Tyler 2012-10-08 21:49:54 EDT
Created attachment 623835 [details]
File: messages
Comment 14 Martin Milata 2013-10-21 08:21:17 EDT
*** Bug 1021127 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2013-12-21 04:04:34 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2014-02-05 07:30:11 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.